export default parse;
interface Options {
    lowerCaseAttributeNames?: boolean;
    lowerCaseTags?: boolean;
    xmlMode?: boolean;
}
export declare type Selector = PseodoSelector | PseodoElement | AttributeSelector | TagSelector | UniversalSelector | Traversal;
interface AttributeSelector {
    type: "attribute";
    name: string;
    action: Action;
    value: string;
    ignoreCase: boolean;
}
declare type DataType = Selector[][] | null | string;
interface PseodoSelector {
    type: "pseudo";
    name: string;
    data: DataType;
}
interface PseodoElement {
    type: "pseudo-element";
    name: string;
}
interface TagSelector {
    type: "tag";
    name: string;
}
interface UniversalSelector {
    type: "universal";
}
interface Traversal {
    type: TraversalType;
}
declare type Action = "any" | "element" | "end" | "equals" | "exists" | "hyphen" | "not" | "start";
declare type TraversalType = "adjacent" | "child" | "descendant" | "parent" | "sibling";
declare function parse(selector: string, options?: Options): Selector[][];
//# sourceMappingURL=parse.d.ts.map